Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77631 - XFree86 upgrade leaves /etc/X11/XF86Config-4.rpmsave turd without warning about it
Summary: XFree86 upgrade leaves /etc/X11/XF86Config-4.rpmsave turd without warning abo...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: XFree86
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-11 07:24 UTC by Jonathan Kamens
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-21 08:04:10 UTC


Attachments (Terms of Use)

Description Jonathan Kamens 2002-11-11 07:24:22 UTC
Note this code excerpt from the XFree86 preinstall scriptlet:

    CONFFILE=/etc/X11/XF86Config-4
    if [ -e $CONFFILE ] ; then
      SAVECONF=$CONFFILE.rpmsave
      cp -p $CONFFILE $SAVECONF
      grep -iv 'Load[[:space:]]*"\(pex5\|xie\)"' $SAVECONF > $CONFFILE
    fi

There are two problems here:

1) If XF86Config-4 hasn't been changed by the code above, then
XF86Config-4.rpmsave should be removed.

2) IF XF86Config-4 *has* been changed by the code above, then the script should
print a warning about it, just like rpm does when it creates a rpmsave file.

Comment 1 Mike A. Harris 2002-11-11 18:25:11 UTC
Yeah, the XFree86 scripts are quite an ugly unmaintainable mess currently.
I've got plans to completely overhaul them sometime, but it is something
that must be done very very carefully.  I want to put an intense amount
of thought into re-engineering the scripts to be cleaner and do much more
to ensure better installations and upgrades, etc.  But I want to minimize
the system damage potential even to crazy rawhide testers because even
in rawhide, I can get nailed with tonnes of bug reports.

Since the scripts more or less "work" even though they're not very pretty
per se, it has gotten a low priority each release, to do any major changes.

The changes you're asking for seem relatively sane at first glance and
most likely I'll do something to clean it up.

Thanks.

Comment 2 Mike A. Harris 2004-01-10 16:36:06 UTC
Status update to indicate this is still present in current
development.  Changed OS version.

Comment 3 Mike A. Harris 2004-09-21 08:04:10 UTC
The rpm script processing of the config file has been changed
in Fedora Core 3 development, and should not have this problem
anymore.  Fedora Core 2 erratum release that will be released
soon should also fix this issue.

Setting status to "RAWHIDE".  If the problem persists at all
with Fedora Core 3 development rpms from test2 onward, please
reopen and we'll reinvestigate the issue.

Thanks.


Note You need to log in before you can comment on or make changes to this bug.